jQuery(document).ready(function(){
	
	var findInsiders = function(elem) {
    
    var tabbable = elem.find('select, input, textarea, button, a').filter(':visible');
    
    var firstTabbable = tabbable.first();
    var lastTabbable = tabbable.last();
    /*set focus on first input*/
    firstTabbable.focus();

    /*redirect last tab to first input*/
    lastTabbable.on('keydown', function (e) {
       if ((e.which === 9 && !e.shiftKey)) {
           e.preventDefault();
           firstTabbable.focus();
       }
    });

    /*redirect first shift+tab to last input*/
    firstTabbable.on('keydown', function (e) {
        if ((e.which === 9 && e.shiftKey)) {
            e.preventDefault();
            lastTabbable.focus();
        }
    });
    
  };
  
  /**** Search popup ****/
  
  jQuery(document).on('click','.search-icon',function(){
	  
	findInsiders(jQuery('.niceblog-search-form'));
	setTimeout(function(){ 
		jQuery(".close_search").focus();
	}, 200);
	  jQuery('body').addClass('show-search');
  });
  
  jQuery(document).on('click','.close_search',function(){
	  jQuery('body').removeClass('show-search');
  });
  
  
  /******** menu *****/
  
	jQuery('.main-navigation ul#primary-menu').before('<button class="close-menu">X</button>');
	jQuery('div#primary-menu').prepend('<button class="close-menu">X</button>');
	jQuery('.main-navigation li.menu-item-type-post_type.menu-item-has-children').prepend('<i class="fa fa-angle-down"></i>');
	
	jQuery(document).on('click','.main-navigation .menu .close-menu',function(){
	  jQuery('.main-navigation').removeClass('toggled');
	  jQuery(".menu-toggle").focus();
	});
  
	jQuery(document).on('click','.menu-toggle',function(){
		findInsiders(jQuery('.main-navigation .menu'));
		
		setTimeout(function(){ 
			jQuery('.main-navigation .menu .close-menu').focus();
		}, 200);
	
	});
  
  
});


var findInsiders = function(elem) {
    
    var tabbable = elem.find('select, input, textarea, button, a').filter(':visible');
    
    var firstTabbable = tabbable.first();
    var lastTabbable = tabbable.last();
    /*set focus on first input*/
    firstTabbable.focus();
	
	 findInsiders(jQuery('.niceblog-main-nav'));

    /*redirect last tab to first input*/
    lastTabbable.on('keydown', function (e) {
       if ((e.which === 9 && !e.shiftKey)) {
           e.preventDefault();
           firstTabbable.focus();
       }
    });

    /*redirect first shift+tab to last input*/
    firstTabbable.on('keydown', function (e) {
        if ((e.which === 9 && e.shiftKey)) {
            e.preventDefault();
            lastTabbable.focus();
        }
    });
    
    /* allow escape key to close insiders div */
    elem.on('keyup', function(e){
      if (e.keyCode === 27 ) {
        elem.hide();
      };
    });
  };


